[tool.poetry]
name = "mosaik-influxdb2"
version = "0.3.0"
description = "An adapter to connect mosaik with InfluxDB 2"
authors = ["Eike Schulte <eike.schulte@offis.de>"]
license = "MIT"
readme = "README.md"
packages = [{include = "mosaik"}]

[tool.poetry.dependencies]
python = "^3.8"
mosaik-api = "^3.0.3"
influxdb-client = "^1.35.0"
numpy = "^1.23.5"

[tool.poetry.group.dev.dependencies]
black = "^22.12.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
